**Boost Dark Mode** is a Moodle plugin that adds a dark mode button to the **Boost** theme and its child themes, offering a more comfortable visual experience for users, especially in low-light environments.

![Screenshot 2025-01-16 at 10 16 33](https://github.com/user-attachments/assets/9d41e6d9-1256-4a48-9e3f-071b18e0ddb7)

## 🚀 Features

- Activates a dark mode button in the Boost theme header.
- Saves the user's dark mode preference using their preferences, ensuring settings remain consistent across browsers.
- Simple and lightweight, with no interference in any standard Boost functionality.

## 📚 How to Use

1. Access your Moodle with the Boost theme activated.
2. In the upper corner, click the **Dark Mode** icon to toggle between light and dark modes.
3. The setting will be saved in the user's preferences and automatically applied whenever they return to Moodle.

## 📦 Installation

Visit the plugin page at [https://moodle.org/plugins/local_boost_dark](https://moodle.org/plugins/local_boost_dark) and install the plugin as usual.

## 🐞 Testing

- Tested only on:
  - The Moodle Classic theme;
  - [Boost Union](https://moodle.org/plugins/theme_boost_union);
  - [Academi](https://moodle.org/plugins/theme_academi);
  - [Adaptable](https://moodle.org/plugins/theme_adaptable).

## 📧 Contact

Author: Eduardo Kraus  
Website: [eduardokraus.com/contact](https://eduardokraus.com/contato)  

If you encounter any issues or have suggestions, feel free to open an issue! 😊
